summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorBen de Groot <yngwin@gentoo.org>2009-03-04 20:37:08 +0000
committerBen de Groot <yngwin@gentoo.org>2009-03-04 20:37:08 +0000
commitbdaf198d398664a4a82275575dd96209ac95518c (patch)
treefd9efc5d3320a3655fb835b2e1a8d1eb78ae4cb9 /eclass
parentBump KDE 4.2.1 (diff)
downloadgentoo-2-bdaf198d398664a4a82275575dd96209ac95518c.tar.gz
gentoo-2-bdaf198d398664a4a82275575dd96209ac95518c.tar.bz2
gentoo-2-bdaf198d398664a4a82275575dd96209ac95518c.zip
Updating qt4-build.eclass for 4.5.0 release
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt4-build.eclass12
1 files changed, 8 insertions, 4 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index c82386c8d3d3..086dcd430194 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,11 +1,11 @@
# Copyright 2007-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.24 2009/02/15 00:11:50 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.25 2009/03/04 20:37:08 yngwin Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
-# Ben de Groot <yngwin@gentoo.org>
-# Markos Chandras <hwoarang@gentoo.org>
+# Ben de Groot <yngwin@gentoo.org>,
+# Markos Chandras <hwoarang@gentoo.org>,
# Caleb Tennis <caleb@gentoo.org>
# @BLURB: Eclass for Qt4 split ebuilds.
# @DESCRIPTION:
@@ -29,13 +29,17 @@ MY_P=qt-x11-${SRCTYPE}-${MY_PV}
S=${WORKDIR}/${MY_P}
HOMEPAGE="http://www.qtsoftware.com/"
-SRC_URI="ftp://ftp.trolltech.com/qt/source/${MY_P}.tar.bz2"
+SRC_URI="http://download.qtsoftware.com/qt/source/${MY_P}.tar.bz2"
case "${PV}" in
4.4.?) SRC_URI="${SRC_URI} mirror://gentoo/${MY_P}-headers.tar.bz2" ;;
*) ;;
esac
+if version_is_at_least 4.5 ${PV} ; then
+ LICENSE="|| ( LGPL-2.1 GPL-3 )"
+fi
+
qt4-build_pkg_setup() {
# EAPI=2 ebuilds set use-deps, others need this:
if [[ $EAPI != 2 ]]; then